/*
	$Id: libspf_any.h 315 2005-05-18 05:49:12Z crosser $
*/

/*
	WHAT IS IT:
		modularized contentfilter for Zmailer
	COPYRIGHT:
		(c) 2005 Eugene G. Crosser <crosser@average.org>
	LICENSE:
		The same set as apply to Zmailer code
*/

#ifndef LIBSPF_ANY_H
#define LIBSPF_ANY_H

typedef void * spf_global_t;
typedef void * spf_state_t;

extern spf_global_t spf_newglobal(char *localpolicy,int usetrusted);
extern void spf_freeglobal(spf_global_t global);
extern spf_state_t spf_newstate(spf_global_t global);
extern void spf_freestate(spf_state_t state);
extern int spf_peerip(spf_global_t global,spf_state_t state,
					char *ipstr,int isv6);
extern int spf_helo(spf_global_t global,spf_state_t state,char *helostr);
extern int spf_from(spf_global_t global,spf_state_t state,char *addrstr);
extern int spf_result(spf_global_t global,spf_state_t state,
					char **level,char **com,char **hdr);

#endif /* LIBSPF_ANY_H */
